HMAC< T > Class Template Reference

HMAC. More...

Inheritance diagram for HMAC< T >:

## Public Member Functions

| HMAC ()
| Construct a HMAC.
| HMAC (const byte *key, size_t length=HMAC_Base::DEFAULT_KEYLENGTH)
| Construct a HMAC. More...
std::string | AlgorithmName () const
std::string | AlgorithmProvider () const
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name. More...

## Static Public Member Functions

static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name. More...

## Static Public Attributes

static const int | DIGESTSIZE =T::DIGESTSIZE
static const int | BLOCKSIZE =T::BLOCKSIZE

## Detailed Description

### template<class T>
class HMAC< T >

HMAC.

Template Parameters

  T | HashTransformation derived class

HMAC derives from MessageAuthenticationCodeImpl. It calculates the HMAC using `HMAC(K, text) = H(K XOR opad, H(K XOR ipad, text))`.

See also
  HMAC

Since
  Crypto++ 2.1

Definition at line 52 of file hmac.h.

## Constructor & Destructor Documentation

## HMAC()

template<class T >

HMAC< T >::HMAC | ( | const byte * | key,
|  | size_t | length = `HMAC_Base::DEFAULT_KEYLENGTH`
| ) |  |

inline

Construct a HMAC.

Parameters

  key | the HMAC key
  length | the size of the HMAC key

Definition at line 65 of file hmac.h.

The documentation for this class was generated from the following file:

- hmac.h